package cn.cecep.talroad.service;

import cn.cecep.talroad.common.core.web.domain.AjaxResults;
import cn.cecep.talroad.domain.BStatTableQueryInfo;
import cn.cecep.talroad.vo.*;
import cn.cecep.talroad.vo.query.BStatTablepPwxkWaterQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

public interface BStatTablePwxkWaterAndOtherService {

    AjaxResults<IPage<BStatTablePwxkWaterTreatmentLineVo>> selectProductLine(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BStatTablePwxkWaterLifeInVo>> selectLifeIn(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BStatTablePwxkWaterIndustryInVo>> selectIndustryIn(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BStatTablePwxkWaterTreatmentInAskVo>> selectTreatmentInAsk(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BStatTablePwxkWaterIndustryInTotalVo>> selectIndustryInTotal(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BMainHazardousSolidWasteVo>> selectHazardousSolidWaste(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BMainHazardousSolidWasteFaVo>> selectHazardousSolidWasteFa(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BMainPollDisEnforcementVo>> selectEnforceComplianceReportingRequirements(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BMainPollDisInformationVo>> selectPollDisInformation(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BMainPollDisEmlRecordVo>> selectBMainPollDisEmlRecord(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BMainPollDisNoiseRegulationVo>> selectBMainPollDisNoiseRegulation(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BStatTablePwxkProductsVo>> selectProducts(BStatTablepPwxkWaterQuery query);

    AjaxResults<Integer> saveQueryContent(@Param("query") BStatTableQueryInfo query);

    AjaxResults<IPage<BStatTablePwxkProductionFacilitiesVo>> selectProductionFacilities(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BStatTablePwxkBoilerFuelGasVo>> selectBoilerFuelGas(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BStatTablePwxkBoilerFuelSolidLiquidVo>> selectBoilerFuelSolidLiquid(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BStatTablePwxkFuelVo>> selectFuel(BStatTablepPwxkWaterQuery query);

    AjaxResults<IPage<BStatTablePwxkRawMaterialVo>> selectMaterial(BStatTablepPwxkWaterQuery query);
}
